Bug 52061 - [chromium] Transitions-related layout tests are failing more
Summary: [chromium] Transitions-related layout tests are failing more
Status: RESOLVED WONTFIX
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC Linux
: P2 Normal
Assignee: James Robinson
URL:
Keywords:
Depends on: 37145 56242 53332 54151
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-07 08:09 PST by Stephen White
Modified: 2013-04-11 13:10 PDT (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stephen White 2011-01-07 08:09:53 PST
The following layout tests were flaky before, now failing more consistently post-r75169:

transitions/suspend-transform-transition.html = IMAGE PASS
transitions/change-values-during-transition.html = PASS TEXT
transitions/interrupted-accelerated-transition.html = PASS TEXT
transitions/transition-timing-function.html = PASS TEXT

Note that this is only in debug.  Perhaps timing-related?
Comment 1 James Robinson 2011-01-07 09:02:07 PST
I'm planning to revert r75169 (https://bugs.webkit.org/show_bug.cgi?id=51952#c15) which should help things.  That test was consistently failing for me in debug in the apple port DumpRenderTree on SnowLeopard pret-75169, though.
Comment 2 Dean Jackson 2011-03-16 03:30:25 PDT
I have some updates coming in this area too.
Comment 3 Dean Jackson 2011-03-22 18:22:38 PDT
Is this still happening after http://trac.webkit.org/changeset/81613 + http://trac.webkit.org/changeset/81722 ?
Comment 4 James Robinson 2011-03-22 20:05:50 PDT
It might be - transitions/interrupted-accelerated-transition.html has failed twice on windows debug after 81722 landed.  The other bots+tests haven't cycled enough to make a good guess as to whether they are still affected.

http://test-results.appspot.com/dashboards/flakiness_dashboard.html#tests=transitions%2Fsuspend-transform-transition.html%2Ctransitions%2Fchange-values-during-transition.html%2Ctransitions%2Finterrupted-accelerated-transition.html%2Ctransitions%2Ftransition-timing-function.html&group=%40ToT%20-%20chromium.org has the test history for those four tests on ToT WebKit + ToT Chromium bots (warning: very information-dense display).
Comment 5 Dean Jackson 2011-03-23 12:40:04 PDT
bummer :( I'll take a look at the dense information. Thanks.
Comment 6 Dean Jackson 2011-04-05 16:18:08 PDT
I think transitions/transition-timing-function.html is simply a slow bot. The results are nearly right - the test is just firing a little late.
Comment 7 Dean Jackson 2011-04-05 16:21:37 PDT
Same with transitions/interrupted-accelerated-transition.html. The value is close, and the animation is happening.

Note that when 54151 lands for real, we'll be able to easily jump around in animations which should avoid this issue.
Comment 8 Dean Jackson 2011-04-05 16:23:29 PDT
This leaves transitions/suspend-transform-transition.html as the test that seems to be clearly failing (although again, it *could* be a timing thing).
Comment 9 Dean Jackson 2011-04-05 16:43:56 PDT
And that's also a timing issue. I think the best thing is to block this on 54151, then remove all timing dependent code from animation/transition tests.
Comment 10 Stephen Chenney 2013-04-11 13:10:50 PDT
Test related bugs being marked WontFix. TestExpectations will contain bug if still relevant.